Bug 251768 - Must choose to install GRUB on /dev/sda to install it on /dev/sdb
Must choose to install GRUB on /dev/sda to install it on /dev/sdb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 19:25 EDT by David Campbell
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-08-10 19:25:53 EDT
Description of problem:

GRUB installation process is very confusing in certain instances during the
installation process, so much so that users can balk at installation of grub
because to proceed the installation of GRUB to /dev/sdb, you are forced to
select to install it to /dev/sda which contains critical data and the user
doesn't want modified.  Later options let you reconfigure the selection, but you
must first select to install it to a drive that you don't want to install it to.

Version-Release number of selected component (if applicable):

Original F7 boot DVD 2.6.21-1.3194.fc7 

How reproducible:

Always

Steps to Reproduce:

I find this issue when booting the F7 DVD to install F7 to a pre-partitioned and
connected USB drive, at which time the drive mapping is:
  /dev/sda - the internal hard drive
  /dev/sdb - the usb drive

Now in the installation to the USB drive, as most users would be, I want to be
sure that I am certainly not writing anything to /dev/sda, which contains
critical information.

There is an F7 installation screen that starts with "Installation requires
partitioning of your hard drive".  On there you can choose which drive you would
like to boot the installation from.  By default it is to sda, but you can change
it to sdb.  Then if you choose "Create custom layout", the selection of which
drive you would like to boot from gets greyed out (this doesn't make sense to
me, because you have to install grub somewhere - as an aside, why doesn't this
option work in this case?).

Then you get to a sscreen which gives you a choice of two options:
  * The GRUB boot loader will be installed on /dev/sda
  * No boot loader will be installed

You can choose one or the other, and there is no other choice.  This is very
confusing, because I can't choose the first option because I don't want to risk
modifying /dev/sda and I want to install it to /dev/sdb and I can't choose the
second option because I do need to install GRUB.

At this point, I DO NOT KNOW whether if I press next, whether the installer will
proceed to install GRUB on /dev/sda!!!  The only option that I know that is safe
is to install no boot loader at all!!

Now there happens to be a nice little option down the bottom of the screen that
says "Configure advanced boot loader options", which just happens to let you
configure the GRUB boot loader to be instsalled on /dev/sdb even though you have
to choose to install it on /dev/sda and select the option to get it.

This is unintuitive and confusing!!
  
Actual results:

Confusing menu choices

Expected results:

Easy to follow choices
Comment 1 Bug Zapper 2008-05-14 09:56:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Lindeberg 2008-06-03 17:19:34 EDT
Is this still an issue in Fedora 9?
Comment 3 Bug Zapper 2008-06-16 22:08:15 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.